Package org.xnio

# Enum SslClientAuthMode

java.lang.Object
java.lang.Enum<SslClientAuthMode>
org.xnio.SslClientAuthMode

All Implemented Interfaces:
  `Serializable`, `Comparable<SslClientAuthMode>`, `java.lang.constant.Constable`

public enum SslClientAuthMode extends Enum<SslClientAuthMode>
The desired SSL client authentication mode for SSL channels in server mode.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NOT_REQUESTED`
SSL client authentication is not requested.
`REQUESTED`
SSL client authentication is requested but not required.
`REQUIRED`
SSL client authentication is required.

## Method Summary

Modifier and Type
Method
Description
`static SslClientAuthMode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SslClientAuthMode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NOT_REQUESTED

public static final SslClientAuthMode NOT_REQUESTED
SSL client authentication is not requested.

### REQUESTED

public static final SslClientAuthMode REQUESTED
SSL client authentication is requested but not required.

### REQUIRED

public static final SslClientAuthMode REQUIRED
SSL client authentication is required.

## Method Details

### values

public static SslClientAuthMode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SslClientAuthMode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null